#
# spec file for package html2ps (Version 1.0b3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ImageMagick ghostscript-x11 jpeg lynx netpbm perl tetex
# usedforbuild    ImageMagick aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-x11 glibc glibc-devel gpm gppshare grep groff gzip jpeg kbd less libtool libz lynx m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         html2ps
Copyright:    Jan Karrman and Jean-Philippe Argaud, GNU
Group:        Applications/Publishing
Provides:     html2ps 
Requires:     perl lynx netpbm imagemag tcl tk ghostscript_any
Autoreqprov:  on
Version:      1.0b3
Release:      69
Summary:      HTML to PostScript converter
Source0:      %{name}-%{version}.tar.bz2
Source1:      my_install
Patch0:       %{name}-%{version}-install.patch

%description
HTML to PostScript converter written in Perl.  html2ps understands many
of the HTML 4.0 features.  From the Homepage
(http://www.tdb.uu.se/~jan/html2ps.html):
* Many possibilities to control the appearance; this is mostly done using
configuration files.
* Support for processing multiple documents, also automatically by
recursively following links.
* A table of contents can be generated, either from the links in a
document, or automatically from document headings.
* Configurable page headers/footers, that for example can contain
document title, URL, page number, current heading, and date.
* Automatic hyphenation and text justification can be selected.

Authors:
--------
    Jan Karrman <jan@tdb.uu.se>
    Jean-Philippe Argaud <no@e.mail>

SuSE series: gra

%prep
%setup 
%patch0
cp %{S:1} .

%install
. ./my_install 
install -m 755 ./contrib/xhtml2ps/xhtml2ps $RPM_BUILD_ROOT/usr/X11R6/bin/xhtml2ps

%files
%defattr(-, root, root)
/usr/bin/html2ps
/usr/X11R6/bin/xhtml2ps
/usr/lib/html2ps
%doc /usr/share/man/man1/html2ps.1.gz
%doc /usr/share/man/man5/html2psrc.5.gz
%doc html2ps.html README COPYING

%changelog -n html2ps
* Wed Aug 08 2001 - adostal@suse.cz
- update to version 2.0.0
- fix install
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Wed Dec 20 2000 - lmuelle@suse.de
- Add needed Requires: lynx
- bzip2ed source
* Mon Dec 18 2000 - lmuelle@suse.de
- Remove obsolet Requires: lynx2
* Fri Dec 15 2000 - pthomas@suse.de
- Make html2ps require lynx2. This allows the user to install
  either lynx or lynxssl.
* Wed Nov 08 2000 - ro@suse.de
- fixed neededforbuild for ImageMagick
* Thu Feb 24 2000 - freitag@suse.de
- moved manpages to /usr/share/man
* Fri Nov 05 1999 - max@suse.de
- changed wish's path to /usr/bin
* Mon Sep 20 1999 - ro@suse.de
- added requires ghostscript_any
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Mar 02 1998 - ro@suse.de
- fixed dependency for /usr/bin/wish
* Sun Feb 15 1998 - ray@suse.de
- bugfix
- include the binary and config file
* Wed Feb 11 1998 - ray@suse.de
- new package (v1.0b1)
* Mon Jan 12 1998 - ke@suse.de
- initial package: version 1.0 beta1.
